Bug 1422541 - [3.5] [quick installer]Installer get stuck at "Gathering information from hosts..." if bad hostname checked
Summary: [3.5] [quick installer]Installer get stuck at "Gathering information from hos...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.5.z
Assignee: Tim Bielawa
QA Contact: Wenkai Shi
URL:
Whiteboard:
Depends On:
Blocks: 1440586 1440612 1440617
TreeView+ depends on / blocked
 
Reported: 2017-02-15 13:55 UTC by Wenkai Shi
Modified: 2017-05-23 18:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Hostname resolution may not work in all cases depending on your infrastructure DNS settings. Consequence: Installer would halt and warn you that your hosts are not resolvable. Fix: Update the quick installer to include the 'skip hostname verification' option with the value set to 'True'. Result: Hosts which previously would pause your installation due to hostname issues no longer block your installation.
Clone Of:
: 1440586 1440612 1440617 (view as bug list)
Environment:
Last Closed: 2017-05-17 17:38:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1244 normal SHIPPED_LIVE Important: ansible and openshift-ansible security and bug fix update 2017-05-25 21:43:49 UTC

Description Wenkai Shi 2017-02-15 13:55:50 UTC
Description of problem:
Installer get stuck at "Gathering information from hosts..." if bad hostname checked

Version-Release number of selected component (if applicable):
atomic-openshift-utils-3.5.8-1.git.0.0e02ef8.el7

How reproducible:
always

Steps to Reproduce:
1.prepare a host for installation
# hostname
openshift-129.lab.eng.nay.redhat.com
# getent ahostsv4 `hostname` | head -n 1 | awk '{ print $1 }'
10.66.147.129
# ip a show dev eth0
...
    inet 192.168.2.140/24 brd 192.168.2.255 scope global dynamic eth0
...

2.atomic-openshift-installer install
3.

Actual results:
# atomic-openshift-installer install
...
Gathering information from hosts...

Installer stuck here

Expected results:
Installation succeed

Additional info:
# tailf /tmp/ansible.log
...
2017-02-15 18:24:01,036 p=21540 u=root |  TASK [Warn user about bad openshift_hostname values] ***************************
2017-02-15 18:24:01,102 p=21540 u=root |  [Warn user about bad openshift_hostname values]
The hostname "openshift-129.lab.eng.nay.redhat.com" for "openshift-129.lab.eng.nay.redhat.com" doesn't resolve to an ip address owned by this host. Please set openshift_hostname variable to a hostname that when resolved on the host in question resolves to an IP address matching an interface on this host. This host will fail liveness checks for pods utilizing hostPorts, press ENTER to continue or CTRL-C to abort.:

Comment 1 Scott Dodson 2017-02-16 15:47:39 UTC
If anything clarify the warning message, but essentially we're halting a bad install and advising them that they should use an internal hostname.

Comment 2 Wenkai Shi 2017-02-27 09:14:04 UTC
(In reply to Scott Dodson from comment #1)
> If anything clarify the warning message, but essentially we're halting a bad
> install and advising them that they should use an internal hostname.

Can get a warning message to guide user continue install in 3.4/3.3/3.2, wish the code could merge to 3.5.

Comment 3 Scott Dodson 2017-02-27 13:56:59 UTC
Are you saying this is a regression? I'd expect this to behave the same way in 3.4/3.3/3.2. If this is a regression then this is a blocker.

Can you provide the contents of /etc/hosts from a host you're seeing this on in addition to all of the information already provided (encase you reproduce this on a new host it may change)?

Comment 6 Wenkai Shi 2017-04-05 10:08:26 UTC
I think it's a simple issue, do you think we can fix it in 3.5? \
There is a PR in comment #5

Comment 7 Brenton Leanhardt 2017-04-24 13:12:03 UTC
This seems like a reasonable fix to me.  I'm going to pass this to Tim so that he can review and ship it when he has time.

Comment 10 Wenkai Shi 2017-05-04 07:03:10 UTC
Verified with version atomic-openshift-utils-3.5.66-1.git.0.cfa474b.el7, never get stuck at "Gathering information from hosts..." when bad hostname checked.

Comment 12 errata-xmlrpc 2017-05-17 17:38:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1244


Note You need to log in before you can comment on or make changes to this bug.